﻿using Microsoft.Office.Tools.Ribbon;
using System.Windows.Forms;

using Excel = Microsoft.Office.Interop.Excel;

namespace ModulExcel
{
    public partial class RibbonModul
    {
        private void RibbonModul_Load(object sender, RibbonUIEventArgs e)
        {
            btnFormularStatistici.Checked = false;
        }

        private void btnGenerareMatrice_Click(object sender, RibbonControlEventArgs e)
        {
            using (var form = new FormDimensiune())
            {
                if (form.ShowDialog() == DialogResult.OK)
                {
                    Excel.Worksheet sheet = Globals.ThisAddIn.Application.ActiveSheet;

                    Excel.Range range = (Excel.Range)Globals.ThisAddIn.Application.ActiveCell;
                    int row = range.Row;
                    int column = range.Column;

                    for (int i = 0; i < form.Dimensiune; i++)
                    {
                        for (int j = 0; j < form.Dimensiune; j++)
                        {
                            (sheet.Cells[row + i, column + j] as Excel.Range).Value2 = i + j;
                        }
                    }
                }
            }
        }

        private void btnFormularStatistici_Click(object sender, RibbonControlEventArgs e)
        {
            if (!btnFormularStatistici.Checked)
            {
                var formular = btnFormularStatistici.Tag as Form;
                if (formular != null && formular.Visible)
                {
                    formular.Close();
                }
            }
            else
            {
                var formular = new FormStatistici();
                btnFormularStatistici.Tag = formular;
                formular.Show();
            }
        }
    }
}
